Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxml.quick.model.qdml
Class QDMRange

    java.lang.Object
      |
      +--com.jxml.quick.model.qdml.QDMCloneable
            |
            +--com.jxml.quick.model.qdml.QDMRange

All Implemented Interfaces:
  Cloneable, QDMValid

public class QDMRange
extends QDMCloneable
implements QDMValid

Models a range element in QDML. The range element specifies a range of legal values for the content of a text coin.

    DTD:

    <!ELEMENT range(rem*)>

    <!ATTLIST range
        imin CDATA #IMPLIED
        xmin CDATA #IMPLIED
        imax CDATA #IMPLIED
        xmax CDATA #IMPLIED
        ID id #IMPLIED
    >

Field Summary
`String` | `imax` Models the imax attribute on the range element.
`String` | `imin` Models the imin attribute on the range element.
`ArrayList` | `remList` A container for QDMRem objects, which model rem elements.
`String` | `xmax` Models the xmax attribute on the range element.
`String` | `xmin` Models the xmin attribute on the range element.

Constructor Summary
`QDMRange()`

Method Summary
`Object` | `clone()` Returns a deep copy of this object.

Methods inherited from class com.jxml.quick.model.qdml.QDMCloneable
`clone, clone`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### imin

    public String imin

  Models the imin attribute on the range element. The imin attribute specifies the minimum value of the range, inclusively. Either imin or xmin, but not both, must be present on the range element.

### xmin

    public String xmin

  Models the xmin attribute on the range element. The xmin attribute specifies the minimum value of the range, non-inclusively. Either imin or xmin, but not both, must be present on the range element.

### imax

    public String imax

  Models the imax attribute on the range element. The imax attribute specifies the maximum value of the range, inclusively. Either imax or xmax, but not both, must be present on the range element.

### xmax

    public String xmax

  Models the xmax attribute on the range element. The imax attribute specifies the maximum value of the range, non-inclusively. Either imax or xmax, but not both, must be present on the range element.

### remList

    public ArrayList remList

  A container for QDMRem objects, which model rem elements. The rem elements are optional and repeating.

Constructor Detail

### QDMRange

    public QDMRange()

Method Detail

### clone

    public Object clone()

  Returns a deep copy of this object.
  Overrides:
    `clone` in class `QDMCloneable`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD